Name: gnupg-manual
Version: 1.1
Release: alt3
Serial: 1

Summary: The GNU Privacy Handbook
Summary(ru_RU.CP1251):   GNU Privacy
License: GPL
Group: Books/Howtos
Url: http://www.gnupg.org

Source: %url/gph/en/gph.tar.bz2
Source1: http://www.inar.ru/~zwon/gph-ru.tar.bz2
Patch: c1.patch

BuildArch: noarch

Packager: Aleksandr Blokhin <sass@altlinux.ru>

# Automatically added by buildreq on Mon Feb 03 2003
BuildRequires: XFree86-libs docbook-dtds docbook-style-dsssl docbook-utils ghostscript-common 
BuildRequires: ghostscript-module-X glib libgimp-print libjpeg openjade sgml-common transfig urw-fonts

Provides: %name <= %version
Obsoletes: %name <= %name-1.1-ipl1

%description
GnuPG is GNU's tool for secure communication and data storage.
It can be used to encrypt data and to create digital signatures.
It includes an advanced key management facility and is compliant
with the proposed OpenPGP Internet standard as described in RFC2440.

Because GnuPG does not use any patented algorithm it cannot be
compatible with PGP2 versions.  PGP 2.x uses only IDEA (which is
patented worldwide) and RSA (which is patented in the United States
until Sep 20, 2000).

%description -l ru_RU.CP1251
GnuPG - GNU       .
GnuPG        
.      
    OpenPGP  Internet,   RFC2440.

 GnuPG     ,   
   PGP  2. PGP 2.x   IDEA (
  )  RSA (     20  2000).

%prep
%setup -q -T -c
%setup -q -D -T -c -a0 -n %name-%version/gph-en
%setup -q -D -T -n %name-%version
%setup -q -D -T -a1
%patch -p1
mv gph gph-ru

%build
pushd gph-en
	if [ -f signatures.fig -a ! -f signatures.jpg ]; then
		fig2dev -L jpeg -m 0.7 signatures.fig signatures.jpg
	fi
	db2html -e no-valid manual.sgml
	mv signatures.jpg manual/signatures.jpg
popd
pushd gph-ru
	if [ -f signatures.fig -a ! -f signatures.jpg ]; then
		fig2dev -L jpeg -m 0.7 signatures.fig signatures.jpg
	fi
	db2html -e no-valid manual.sgml
	mv signatures.jpg manual/signatures.jpg
	mv manual manual-ru
popd

%files
%doc gph-en/manual
%doc gph-ru/manual-ru

%changelog
* Wed Feb 05 2003 Stanislav Ievlev <inger@altlinux.ru> 1:1.1-alt3
- fix changelog 

* Mon Feb 03 2003 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1.1-alt2
- Updated %%BuildRequires
- Added %%Serial, %%Provides and %%Obsoletes

* Wed Sep 18 2002 Aleksandr Blokhin <sass@altlinux.ru> 1.1-alt1
- Updated spec.
- Removed unneded description in KOI8 encoding.

* Wed Jun 16 2002 Aleksandr Blokhin <sass@altlinux.ru> 1.1-ipl1
- Manuals updated with new versions.

* Wed Nov 29 2000 Dmitry V. Levin <ldv@fandra.org> 1.0-ipl1
- Initial revision.
